| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::Client::CallContentMediaDescriptionInterfaceRTCPFeedbackInterface Class Reference

`#include <TelepathyQt/CallContentMediaDescriptionInterface>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Member Functions

- CallContentMediaDescriptionInterfaceRTCPFeedbackInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- CallContentMediaDescriptionInterfaceRTCPFeedbackInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- CallContentMediaDescriptionInterfaceRTCPFeedbackInterface (Tp::DBusProxy *proxy)
- CallContentMediaDescriptionInterfaceRTCPFeedbackInterface (const Tp::Client::CallContentMediaDescriptionInterface &mainInterface)
- CallContentMediaDescriptionInterfaceRTCPFeedbackInterface (const Tp::Client::CallContentMediaDescriptionInterface &mainInterface, QObject *parent)
- Tp::PendingVariant * requestPropertyFeedbackMessages () const
- Tp::PendingVariant * requestPropertyDoesAVPF () const
- Tp::PendingVariantMap * requestAllProperties () const

## Static Public Member Functions

- static QLatin1String staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Call1.Content.MediaDescription.Interface.RTCPFeedback".

## Constructor & Destructor Documentation

Tp::Client::CallContentMediaDescriptionInterfaceRTCPFeedbackInterface::CallContentMediaDescriptionInterfaceRTCPFeedbackInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a CallContentMediaDescriptionInterfaceRTCPFeedbackInterface associated with the given object on the session bus.

Parameters:

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::CallContentMediaDescriptionInterfaceRTCPFeedbackInterface::CallContentMediaDescriptionInterfaceRTCPFeedbackInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a CallContentMediaDescriptionInterfaceRTCPFeedbackInterface associated with the given object on the given bus.

Parameters:

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::CallContentMediaDescriptionInterfaceRTCPFeedbackInterface::CallContentMediaDescriptionInterfaceRTCPFeedbackInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a CallContentMediaDescriptionInterfaceRTCPFeedbackInterface associated with the same object as the given proxy.

Parameters:

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::CallContentMediaDescriptionInterfaceRTCPFeedbackInterface::CallContentMediaDescriptionInterfaceRTCPFeedbackInterface | ( | const Tp::Client::CallContentMediaDescriptionInterface & | mainInterface | ) | `[explicit]`

Creates a CallContentMediaDescriptionInterfaceRTCPFeedbackInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  mainInterface | The proxy to use.

Tp::Client::CallContentMediaDescriptionInterfaceRTCPFeedbackInterface::CallContentMediaDescriptionInterfaceRTCPFeedbackInterface | ( | const Tp::Client::CallContentMediaDescriptionInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a CallContentMediaDescriptionInterfaceRTCPFeedbackInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::CallContentMediaDescriptionInterfaceRTCPFeedbackInterface::staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Call1.Content.MediaDescription.Interface.RTCPFeedback", which this class represents.

Returns:
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::CallContentMediaDescriptionInterfaceRTCPFeedbackInterface::requestPropertyFeedbackMessages | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `FeedbackMessages` of type `Tp::RTCPFeedbackMessageMap`.

A map of remote feedback codec properties that are supported.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::CallContentMediaDescriptionInterfaceRTCPFeedbackInterface::requestPropertyDoesAVPF | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `DoesAVPF` of type `bool`.

True if the remote contact supports Audio-Visual Profile Feedback (AVPF), otherwise False.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariantMap* Tp::Client::CallContentMediaDescriptionInterfaceRTCPFeedbackInterface::requestAllProperties | ( |  | ) | const`[inline]`

Request all of the DBus properties on the interface.

Returns:
  A pending variant map which will emit finished when the properties have been retrieved.

void Tp::Client::CallContentMediaDescriptionInterfaceRTCPFeedbackInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  | `[protected, virtual]`

Reimplemented from Tp::AbstractInterface.